using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Rds;
using skyscraper5.Rds.Messages;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Skyscraper.Scraper.StreamAutodetection.Contestants
{
	[SkyscraperPlugin]
	class RdsContestant : Contestant, RdsEventHandler, IDisposable
    {
        public RdsContestant(int pid) : base("RDS", pid)
        {
            PacketProcessor = new PesDecoder(new RdsPesProcessor(pid, 1, this));
        }

        public void SetRdsProgrammeServiceName(int programNumber, string programmeService2)
        {
            Score++;
        }

        public bool TestCanHandleRdsMessages(int programNumber)
        {
            return true;
        }

        public void SetRdsRadioText(int programNumber, string text)
        {
            Score++;
        }

        public void SetCurrentTime(DateTime currentTime)
        {
            Score++;
        }

        public void SetCurrentProgrammeType(int programNumber, PTY.ProgrammeTypeCodes pty)
        {
            Score++;
        }

        public void MarkAsRdsTrafficInformationProgramme(int programNumber)
        {
            Score++;
        }

        public override void Dispose()
        {
            
        }

        public override void DeclareWinner(SkyscraperContext skyscraperContext, int pid, ProgramContext programContext)
        {
	        throw new NotImplementedException();
        }

        public override void Introduce(ProgramContext programContext)
        {
	        
        }
    }
}
